Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7601 - Improper LD_LIBRARY_PATH in expect Makefile
Summary: Improper LD_LIBRARY_PATH in expect Makefile
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 7602
TreeView+ depends on / blocked
 
Reported: 1999-12-05 17:18 UTC by irwin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 00:22:35 UTC


Attachments (Terms of Use)

Description irwin 1999-12-05 17:18:02 UTC
This bug found by building 6.1 version on 5.2.

A patch which has been tested (aside from the form munging) to fix the bug
follows:


--- tcltk-8.0.5/expect-5.28/Makefile.in_original        Fri Dec  3
12:18:17  1999
+++ tcltk-8.0.5/expect-5.28/Makefile.in Fri Dec  3 12:28:07 1999
@@ -188,7 +188,7 @@
 AR = ar
 ARFLAGS = cr

-LOCAL_EXPECT=LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./expect
+LOCAL_EXPECT=LD_LIBRARY_PATH=.:$(TCL_LIBRARY)/../unix:$$LD_LIBRARY_PATH
./expect

 # These definitions are used by the "subdirs_do" target to pass
 # the compile flags down recursively.

Comment 1 Elliot Lee 2000-02-04 00:22:59 UTC
Fixed in tcltk-8.0.5-33


Note You need to log in before you can comment on or make changes to this bug.